{ stdenv, lib, fetchFromGitHub, which, libtool, autoconf, automake }:

let
  version = "unstable-2020-11-18";
  rev = "b973bdb45e85d944c5b6f5556a1eb8ee83e15652";
  sha256 = "042mwqnqgpvxpwsfzjii32vlszpjs4walqzr26a8c3218fd1j30y";
in stdenv.mkDerivation rec {
  pname = "usrsctp";
  inherit version;

  src = fetchFromGitHub {
    owner = "sctplab";
    repo = pname;
    inherit rev sha256;
  };

  nativeBuildInputs = [
    which
    libtool
    autoconf
    automake
  ];

  hardeningDisable = [
    "fortify"
  ];

  preConfigure = "./bootstrap";
}
